

# ListComputationModelDataBindingUsages
<a name="API_ListComputationModelDataBindingUsages"></a>

 Lists all data binding usages for computation models. This allows to identify where specific data bindings are being utilized across the computation models. This track dependencies between data sources and computation models. 

## Request Syntax
<a name="API_ListComputationModelDataBindingUsages_RequestSyntax"></a>

```
POST /computation-models/data-binding-usages HTTP/1.1
Content-type: application/json

{
   "dataBindingValueFilter": { 
      "asset": { 
         "assetId": "string"
      },
      "assetModel": { 
         "assetModelId": "string"
      },
      "assetModelProperty": { 
         "assetModelId": "string",
         "propertyId": "string"
      },
      "assetProperty": { 
         "assetId": "string",
         "propertyId": "string"
      }
   },
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListComputationModelDataBindingUsages_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListComputationModelDataBindingUsages_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [dataBindingValueFilter](#API_ListComputationModelDataBindingUsages_RequestSyntax) **   <a name="iotsitewise-ListComputationModelDataBindingUsages-request-dataBindingValueFilter"></a>
A filter used to limit the returned data binding usages based on specific data binding values. You can filter by asset, asset model, asset property, or asset model property to find all computation models using these specific data sources.  
Type: [DataBindingValueFilter](API_DataBindingValueFilter.md) object  
Required: Yes

 ** [maxResults](#API_ListComputationModelDataBindingUsages_RequestSyntax) **   <a name="iotsitewise-ListComputationModelDataBindingUsages-request-maxResults"></a>
The maximum number of results returned for each paginated request.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 250.  
Required: No

 ** [nextToken](#API_ListComputationModelDataBindingUsages_RequestSyntax) **   <a name="iotsitewise-ListComputationModelDataBindingUsages-request-nextToken"></a>
The token used for the next set of paginated results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 4096.  
Pattern: `[A-Za-z0-9+/=]+`   
Required: No

## Response Syntax
<a name="API_ListComputationModelDataBindingUsages_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "dataBindingUsageSummaries": [ 
      { 
         "computationModelIds": [ "string" ],
         "matchedDataBinding": { 
            "value": { 
               "assetModelProperty": { 
                  "assetModelId": "string",
                  "propertyId": "string"
               },
               "assetProperty": { 
                  "assetId": "string",
                  "propertyId": "string"
               }
            }
         }
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListComputationModelDataBindingUsages_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [dataBindingUsageSummaries](#API_ListComputationModelDataBindingUsages_ResponseSyntax) **   <a name="iotsitewise-ListComputationModelDataBindingUsages-response-dataBindingUsageSummaries"></a>
A list of summaries describing the data binding usages across computation models. Each summary includes the computation model IDs and the matched data binding details.  
Type: Array of [ComputationModelDataBindingUsageSummary](API_ComputationModelDataBindingUsageSummary.md) objects

 ** [nextToken](#API_ListComputationModelDataBindingUsages_ResponseSyntax) **   <a name="iotsitewise-ListComputationModelDataBindingUsages-response-nextToken"></a>
The token for the next set of paginated results, or null if there are no additional results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 4096.  
Pattern: `[A-Za-z0-9+/=]+` 

## Errors
<a name="API_ListComputationModelDataBindingUsages_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
 AWS IoT SiteWise can't process your request right now. Try again later.  
HTTP Status Code: 500

 ** InvalidRequestException **   
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.  
HTTP Status Code: 400

 ** ThrottlingException **   
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.  
For more information, see [Quotas](https://docs.aws.amazon.com/iot-sitewise/latest/userguide/quotas.html) in the * AWS IoT SiteWise User Guide*.  
HTTP Status Code: 429

## See Also
<a name="API_ListComputationModelDataBindingUsages_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotsitewise-2019-12-02/ListComputationModelDataBindingUsages) 